libzypp 17.37.10

zypp::base::LogControl::LineFormater Struct Reference

If you want to format loglines by yourself, derive from this, and overload `format`. More...

`#include <zypp-core/base/LogControl.h>`

Inheritance diagram for zypp::base::LogControl::LineFormater:

## Public Member Functions
virtual std::string | format (const std::string &, logger::LogLevel, const char *, const char *, int, const std::string &)
virtual | ~LineFormater ()

## Detailed Description

If you want to format loglines by yourself, derive from this, and overload `format`.

Return a formated logline without trailing `NL`. Ready to be written to the log.

Definition at line 114 of file LogControl.h.

## Constructor & Destructor Documentation

## ◆ ~LineFormater()

virtual zypp::base::LogControl::LineFormater::~LineFormater | ( |  | ) |
| inline virtual

Definition at line 122 of file LogControl.h.

## Member Function Documentation

## ◆ format()

std::string zypp::base::LogControl::LineFormater::format | ( | const std::string & | group_r,
|  | logger::LogLevel | level_r,
|  | const char * | file_r,
|  | const char * | func_r,
|  | int | line_r,
|  | const std::string & | message_r )
| virtual

Reimplemented in zypp::base::ProfilingFormater.

Definition at line 821 of file LogControl.cc.

The documentation for this struct was generated from the following files:

- zypp-core/base/LogControl.h
- zypp-core/base/LogControl.cc